#Dockerfile for TeamCity build "run in docker"

FROM repo.micord.ru/alt/alt-tomcat:c10f1-9.0.59-20241225
ARG ADMIN_PASSWORD=Secr3t

USER root

COPY tomcat /

RUN cat /etc/tomcat/webbpm.properties >> /etc/tomcat/catalina.properties \
 && chown root:tomcat /var/lib/tomcat/webapps \
 && chmod g+rw /var/lib/tomcat/webapps \
 && rm -rf /var/lib/tomcat/webapps/ROOT

COPY frontend.war /var/lib/tomcat/webapps/ROOT.war
COPY account-applications.war /var/lib/tomcat/webapps/account-applications.war

USER tomcat

EXPOSE 8080

ENTRYPOINT ["/entrypoint.sh"]
